Page MenuHomeFreeBSD

Support lang/gcc on armv6
AbandonedPublic

Authored by andrew on Oct 2 2014, 4:56 PM.

Details

Reviewers
bapt
sbruno
bdrewery
Group Reviewers
ARM

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

andrew updated this revision to Diff 1866.Oct 2 2014, 4:56 PM
andrew retitled this revision from to Support lang/gcc on armv6.
andrew updated this object.
andrew edited the test plan for this revision. (Show Details)
andrew added a reviewer: sbruno.
sbruno edited edge metadata.Oct 2 2014, 5:00 PM

test build started.

sbruno added a comment.Oct 3 2014, 8:25 PM

ran into build failures with math/gmp that seem to have been fixed with recent update to ports or head. Restarting test build.

andrew updated this revision to Diff 1937.Oct 9 2014, 5:02 PM
andrew edited edge metadata.

Fix a few g++ tests

I suggest to do the part of libstdc++-v3/configure.host this way:

Index: libstdc++-v3/configure.host
===================================================================
--- libstdc++-v3/configure.host	(revision 215992)
+++ libstdc++-v3/configure.host	(working copy)
@@ -356,7 +356,7 @@
         fi
     esac
     case "${host}" in
-      arm*-*-linux-*)
+      arm*-*-freebsd* | arm*-*-linux-*)
 	port_specific_symbol_files="\$(srcdir)/../config/os/gnu-linux/arm-eabi-extra.ver"
 	;;
     esac

That won't work, it's within a

case "${host}" in                                                
  *-*-linux*)

    ;;

block.

Andrew, you're right.
Nevertheless, there is a typo: s/arm*-*-freebsd-*/arm*-*-freebsd*

sbruno added inline comments.Oct 10 2014, 11:09 PM
lang/gcc/files/patch-arm-support
221

Oh, is this the typo?

The dash after freebsd, it must read arm*-*-freebsd*. Guess it's a c&p ;)

I see that lang/gcc48 was updated this weekend. Gerald doesn't have a phabricator account, so I don't think he knows about this review.

sbruno added a reviewer: ARM.Nov 18 2014, 3:31 PM

Can someone else take this over? I'm unlikely to have time for it in the near future.

I have no problem committing this.

I can update with andreas' change today.

andrew abandoned this revision.Jan 10 2015, 1:28 PM

A patch has been committed to add ARM support to lang/gcc